using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.OKR
{
    /// <summary>
    /// 事项类型枚举
    /// </summary>
    public enum MatterTypeEnum
    {
        /// <summary>
        /// 未填写OKR
        /// </summary>
        [EnumField("请提醒 Ta 们尽快填写，避免重点工作实施受到影响")]
        NotFilled = 1,

        /// <summary>
        /// 未对齐OKR
        /// </summary>
        [EnumField("请提醒 Ta 们尽快对齐，避免重点工作实施受到影响")]
        NotAlign = 2,

        /// <summary>
        /// 有OKR未更新进度
        /// </summary>
        [EnumField("请提醒 Ta 及时更新，对 OKR 结果进行复盘")]
        NotUpdated = 3,

        /// <summary>
        /// 有OKR未打分
        /// </summary>
        [EnumField("请提醒 Ta 及时打分，对 OKR 结果进行复盘")]
        NotScore = 4,

        /// <summary>
        /// 填写率对比上周期下降
        /// </summary>
        [EnumField("请关注员工对 OKR 填写的重视程度")]
        Write = 5,
        /// <summary>
        /// 对齐率对比上周期下降
        /// </summary>
        [EnumField("请关注员工对 OKR 对齐的重视程度")]
        Align = 6,
        /// <summary>
        /// 更新率对比上周期下降
        /// </summary>
        [EnumField("请关注员工对 OKR 更新的重视程度")]
        Update = 7,
        /// <summary>
        /// 打分率对比上周期下降
        /// </summary>
        [EnumField("请关注员工对 OKR 打分的重视程度")]
        Score = 8,
        /// <summary>
        /// 有@他人的未对齐
        /// </summary>
        [EnumField("请提醒 Ta 们对齐 OKR, 避免重点工作实施受到影响")]
        Others = 9,

        /// <summary>
        /// 有@我的未对齐
        /// </summary>
        [EnumField("请及时对齐 OKR, 避免重点工作实施受到影响")]
        My = 10,
    }
}
